import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
   {
    title: '药材名称',
    align:"center",
    dataIndex: 'herbName'
   },
   {
    title: '装料量',
    align:"center",
    dataIndex: 'feed'
   },
   {
    title: '初始重量',
    align:"center",
    dataIndex: 'weight'
   },
   {
    title: '目标水分',
    align:"center",
    dataIndex: 'target'
   },
   {
    title: '工单号',
    align:"center",
    dataIndex: 'orderNo'
   },
   {
    title: '工单id',
    align:"center",
    dataIndex: 'orderId'
   },
   {
    title: '前左',
    align:"center",
    dataIndex: 'frontLeft'
   },
   {
    title: '前左',
    align:"center",
    dataIndex: 'frontRight'
   },
   {
    title: '中左',
    align:"center",
    dataIndex: 'middleLeft'
   },
   {
    title: '中右',
    align:"center",
    dataIndex: 'middleRight'
   },
   {
    title: '后左',
    align:"center",
    dataIndex: 'backLeft'
   },
   {
    title: '后右',
    align:"center",
    dataIndex: 'backRight'
   },
   {
    title: '平均',
    align:"center",
    dataIndex: 'avg'
   },
   {
    title: '时长',
    align:"center",
    dataIndex: 'dryTime'
   },
   {
    title: '蒸汽（立方）',
    align:"center",
    dataIndex: 'steam'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '药材名称',
    field: 'herbName',
    component: 'Input',
  },
  {
    label: '装料量',
    field: 'feed',
    component: 'InputNumber',
  },
  {
    label: '初始重量',
    field: 'weight',
    component: 'InputNumber',
  },
  {
    label: '目标水分',
    field: 'target',
    component: 'InputNumber',
  },
  {
    label: '工单号',
    field: 'orderNo',
    component: 'Input',
  },
  {
    label: '工单id',
    field: 'orderId',
    component: 'Input',
  },
  {
    label: '前左',
    field: 'frontLeft',
    component: 'InputNumber',
  },
  {
    label: '前左',
    field: 'frontRight',
    component: 'InputNumber',
  },
  {
    label: '中左',
    field: 'middleLeft',
    component: 'InputNumber',
  },
  {
    label: '中右',
    field: 'middleRight',
    component: 'InputNumber',
  },
  {
    label: '后左',
    field: 'backLeft',
    component: 'InputNumber',
  },
  {
    label: '后右',
    field: 'backRight',
    component: 'InputNumber',
  },
  {
    label: '平均',
    field: 'avg',
    component: 'InputNumber',
  },
  {
    label: '时长',
    field: 'dryTime',
    component: 'InputNumber',
  },
  {
    label: '蒸汽（立方）',
    field: 'steam',
    component: 'InputNumber',
  },
	// TODO 主键隐藏字段，目前写死为ID
	{
	  label: '',
	  field: 'id',
	  component: 'Input',
	  show: false
	},
];



/**
* 流程表单调用这个方法获取formSchema
* @param param
*/
export function getBpmFormSchema(_formData): FormSchema[]{
  // 默认和原始表单保持一致 如果流程中配置了权限数据，这里需要单独处理formSchema
  return formSchema;
}